---

- name: Install oauth2-proxy package
  become: true
  zypper:
    name: oauth2-proxy

- name: Generate oauth2-proxy configuration
  become: true
  template:
    src: oauth2-proxy.cfg
    dest: /etc/oauth2-proxy/
  notify: Restart oauth2-proxy

- name: Enable and start oauth2-proxy service
  become: true
  systemd:
    name: oauth2-proxy.service
    enabled: true
